Subject: Re: Top utility
From: "Bill C. Riemers" <[email-masked]>
To: <[email-masked]>, "Ajay Nerurkar" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 17 May 2003 08:22:21 -0400

I'm not sue which package it is distributed in, but when I type "top" under
cygwin, it works as expected.  Only, like all "ps" type commands for cygwin,
only cygwin processes are shown.

                                                  Bill

----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Ajay Nerurkar" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, May 16, 2003 10:06 PM
Subject: Re: Top utility

> On Fri, 16 May 2003, Ajay Nerurkar wrote:
>
> > I am interested in porting the code at http://www.groupsys.com/top/
> > to Cygwin. (I know of the existence of the procps top.)
> >
> > Searching the archives I found that Igor's already done this
> > (http://cygwin.com/ml/cygwin/2002-07/msg01974.html). Igor, do you
> > know if your port's been tested by anyone since then? I plan to use
> > it as a starting point. Thanks.
> >
> > Ajay
>
> Ajay,
>
> Mine was more of a quick hack to make it compile than a port.  See
> <http://cygwin.com/ml/cygwin/2002-07/msg02173.html>.  If you look through
> the replies to the message you referenced above, you'll see all the people
> who tested the code, AFAIK.  Also, Chris January (the implementor of the
> /proc filesystem for Cygwin) said that he posted a patch to make this top
> work correctly -- you might want to investigate that.
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Knowledge is an unending adventure at the edge of uncertainty.
>   -- Leto II
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/